<?php

/**
 * Erfurt html edit widget
 *
 * @package plugin
 * @subpackage widget
 * @author Christoph Rieß <c.riess.dev@googlemail.com>
 * @version $Id: htmlEdit.php 2356 2008-05-30 15:42:05Z fusel2k $
 */
class htmlEdit extends Erfurt_Plugin_Widget {

	public function __construct($elementName = null, $values = null, $config = array()) {
		$config['cardinalityMax'] = 2;
		parent::__construct($elementName,
		$values,
		// config
		$config
		);
		
		
		$this->config['class'] = 'htmlEditContainer';

		$this->scripts[] = $this->widgetBaseUrl . 'htmlEdit/fckeditor/fckeditor.js';
	}

	public function getSingleValueHtml($literal = '', $num = 1) {
		$config = Zend_Registry::get('config');
		$edtvar = uniqid();
		$name = $this->elementName . '[' . $num . ']';

		if ($literal == '') {
			;
		} else {
			$literal = $literal->getLabel();
			$literal = str_replace("\n","",$literal);
			$literal = str_replace("\r","",$literal);
		}
		$ret = '<div id="htmlEdit-'.$edtvar.'"></div><script type="text/javascript">
		var div = document.getElementById("htmlEdit-'.$edtvar.'");
		var fck_' . $edtvar . ' = new FCKeditor("' . $name . '[value]");
		fck_' . $edtvar . '.Value = "' . $literal . '" ;
		fck_' . $edtvar . '.Config["CustomConfigurationsPath"] = "'.$this->widgetBaseUrl . 'htmlEdit/htmlEdit.js";
		fck_' . $edtvar . '.ToolbarSet = "ontowiki-fck-toolbars" ;
		fck_' . $edtvar . '.Height = 300;
		fck_' . $edtvar . '.Width = "99%";
		fck_' . $edtvar . '.BasePath = "' . $this->widgetBaseUrl . 'htmlEdit/fckeditor/";
		div.innerHTML = fck_' . $edtvar . '.CreateHtml();
		</script>';
		return $ret;
	}
}

?>
