<?php
if (isset($_REQUEST['address'])) {
	$address = $_REQUEST['address'];
} else {
	$address = 'augustusplatz leipzig germany';
}

$addresses = array(
	'augustusplatz leipzig germany', 
	'nordstraße leipzig germany', 
	'hauptbahnhof leipzig germany', 
	'universität leipzig germany'
);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Test</title>
</head>
<body onload="load()">

<form method="get" action="test.php">
  <input type="text" size="50" value="<?php echo($address)?>" name="address" />
  <input type="submit" value="Get Geo Data" />
</form>

<?php
include('OWGoogleMap.php');

define('PHP_EOL', "\n");

$map = new OWGoogleMap('ABQIAAAA34vnvEFtPT05eApyEGXYZRSEHxloW9Al8D_UooZPzehj54buhxQjcAtOUQCpVD17iT6HKuoykcq7lA');

if (is_array($resp = $map->getLatLng($address))) {
	echo('<p>Latitude: ' . $resp['lat'] . ', Longitude: ' . $resp['lon'] . '</p>' . PHP_EOL);
} else {
	echo('<p>GGeoStatusCode: ' . $resp . '</p>');
}

// $map->setCenter($resp['lat'], $resp['lon']);
$map->setZoom(13);
$map->addControl('GLargeMapControl');
$map->addControl('GMapTypeControl');

foreach($addresses as $address) {
	$map->addMarker($map->getLatLng($address), $address);
}

$map->addListener('click', 'function() {
	var center = map.getCenter();
	alert(center.toString());
  }');
echo($map);
unset($map);

?>
</body>
</html>