<?php $this->placeholder('tabs')->set($this->tabs) ?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('menu')->set($this->menu) ?>

<?php $innerWindows = array(
	array(
		'cssId' => 'routing',
 		'cssClass' => 'window',
		'title' => $this->strings->mapplugin->routing->title,
		'menu' => array($this->strings->mapplugin->routing->providerselection),
		'content' => "
        <form method='get' target='_blank' action='http://maps.google.com/maps'>
        <input type=hidden name='f' value='d' />
        ".$this->strings->mapplugin->routing->from.":<br /><input type=text id=route_saddr name=saddr title=Startadresse tabindex=6 size=29 maxlength=2048 value='Leipzig' />
        <br />
        ".$this->strings->mapplugin->routing->to.":<br /><input type=text id=route_daddr name=daddr title=Zieladresse tabindex=7 size=28 maxlength=2048 /><br />
        <div style='text-align: center;'><button type='submit'>".$this->strings->mapplugin->routing->calculate."</button></div>
        </form>
		")
	)
?>

<?php $this->placeholder('innerWindows')->captureStart('SET') ?>
<?php foreach ($innerWindows as $iw): ?>
	<?php echo $this->partial('micro/window.php', $iw) ?>
<?php endforeach; ?>
<?php echo $this->partial('micro/window.php', $this->ontoWikiBox('filter')) ?>
<?php $this->placeholder('innerWindows')->captureEnd( ) ?>

<!-- OWMapPlugin scripts -->
<script type="text/javascript" src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=<?php echo $this->apiKey ?>"></script>
<!-- Yahoo Map API Script-->
<script type="text/javascript" src="http://api.maps.yahoo.com/ajaxymap?v=3.8&appid=ugv_Y_XV34FrakRo3Gy8CUR1G8ovSCvkHuvw5k4CtcXB.dZzatqLj3xMCLvFuX0449HeEqiStjU-"></script>
<!-- OpenLayers API  + OpenStreetMap Layer Extension Scripts-->
<script type="text/javascript" src="http://www.openlayers.org/api/OpenLayers.js"></script>
<script type="text/javascript" src="http://openstreetmap.org/openlayers/OpenStreetMap.js"></script>
<!-- JQuery UI scripts 
<script type="text/javascript" src="lib/jquery/ui.core.js"></script>
<script type="text/javascript" src="lib/jquery/ui.slider.js"></script>-->
<!-- End of OWMapPlugin scripts -->

<!-- This layer will contain the map object -->
<div id="map" style="width: auto; height: 450px; border: 1px solid #888888;"></div>
<div id='ToolControls' style="width: auto; height: 20px; color: white; font-size: smaller; background-color: darkblue; border: 1px solid #888888; border-top: 0px; ">
    <span style="float: left;">
        Map settings:
        <input id='clusterOn' type='checkbox' name='geocodeOn' value='active' disabled />
        <span style='color: grey;'> Geocode names</span>
        <input id='clusterOn' type='checkbox' name='clusterOn' value='active' checked />
        <span> Cluster markers</span>
    </span>
    <span style="float: right;">
        <span style='vertical-align: bottom;'>Gridcount: </span>
        <input id='clustGridCount' type='text' name='ToolControls' value='3' style='width: 25px; text-align: right;'/> | 
        <span>Maximum markers per grid: </span>
        <input id='clustMaxMarkers' type='text' name='ToolControls' value='3' style='width: 25px; text-align: right;' />
    </span>
</div>

<!-- Panel layer used for external map controls -->
<div id="panel">
<div id='gridcount_slider' class='ui-slider-1' style="margin:10px;">
<div class='ui-slider-handle'></div>	
</div>

</div>

<!-- Eventlog used for the JS log(output)-function in MapView.js -->
<div id="eventlog"></div>

<!-- Include the MapView JavaScript to show the Map,. it is important to load this script after the map-div else the script cannot find the map -->
<script type="text/javascript" src="<?php echo $this->pluginBaseUri ?>/js/MapView.js"></script>

<script type="text/javascript">
	// Return the permalink variables to the map
	setPermaParams(
		<?php echo isset($this->zoom) ? "'" . $this->zoom . "'" : "'null'" ?>,
		<?php echo isset($this->lon) ? "'" . $this->lon . "'" : "'null'" ?>,
		<?php echo isset($this->lat) ? "'" . $this->lat . "'" : "'null'" ?>,
		<?php echo isset($this->layers) ? "'" . $this->layers . "'" : "'null'" ?>
	);
	// Store the uri  via PHP in a  Javascript code...
	var uri = '<?php echo $this->uri ?>';
</script> 