<?php
/**
 * Semantic Sitemap Plugin
 *
 * @author Sebastian Dietzold <sebastian@dietzold.de>
 * @copyright  Copyright (c) 2008, {@link http://aksw.org AKSW}
 * @license    http://opensource.org/licenses/gpl-license.php GNU General Public License (GPL)
 * @version $Id: $
 */
class SemanticSitemap extends OntoWiki_Plugin
{
	/**
	* Redirects the controller for .../sitemap.xml URLs
	*
	* @return void
	*/
	public function grabController()
	{
		// fetch front controller, request and controller name
		$frontController = Zend_Controller_Front::getInstance();
		$request = $frontController->getRequest();
		$controllerName = strtolower($request->getControllerName());

		if ($controllerName == 'sitemap.xml' )
		{
			// The one and only thing needed for redirecting to your own
			// controller (no setting of action or controller or sth. needed)
			$frontController->setControllerDirectory(dirname(__FILE__));

			// redirect to use the default action of the Sitemap Controller
			$request->setControllerName('Sitemap');
			$request->setActionName('default');
		}
	}
}
?>
