if (typeof(Model)=="undefined") alert("Please load Model.js first!");

if (typeof(WIDGET) == 'undefined') {
    WIDGET = new Object();
}

WIDGET.CALLBACK_DONE_CREATION = function() {
if ($.browser.firefox) $("#oldTripleWindow").html(RAJ.tempTripleStore[0].toSource());
$("#wSubject").attr("value",RAJ.tempTripleStore[1].subject);
$("#wPredicate").attr("value",RAJ.tempTripleStore[1].predicate);
$("#wObject").attr("value",RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].value);
$("#wObjectType").attr("value",RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].type);
$("#wObjectLang").attr("value",RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].lang);
$("#wObjectDatatype").attr("value",RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].datatype);
}

WIDGET.create=function(triple) {
RAJ.tempTripleStore[0]=triple;
	for (var a in triple) {
		RAJ.tempTripleStore[1].subject=a;
		for (var b in triple[a]) {
			RAJ.tempTripleStore[1].predicate=b;
		} 
	}
$("<div id='Widget' class='widgetWindow'></div>").appendTo("body").hide().load("./widget.html");
$("body").children().not("#Widget").fadeTo(200,0.3,function() {
				$("#Widget").show().fadeIn(200,function() {if ($.browser.msie) {$("#Widget").attr("class","widgetWindowIe");}; WIDGET.CALLBACK_DONE_CREATION();});
			});
}

WIDGET.remove=function() {
$("#Widget").fadeOut(500,function() {$("#Widget").empty().remove();});
$("body").children().not("#Widget").fadeTo(200,1);
}



WIDGET.sendObject=function() {
if (RAJ.currentModel.rdfaEnabled) {
	WIDGET.edit($("#wObject").attr("value"));
	WIDGET.remove();
}
else {
	var tempObj=new Object();
	tempObj.value=$("#wObject").val();
	tempObj.type=$("#wObjectType").val();
	if ($("#wObjectLang").val()!="") tempObj.lang=$("#wObjectLang").val();
	if ($("#wObjectDatatype").val()!="") tempObj.datatype=$("#wObjectDatatype").val();
	console.log(tempObj.toSource());
	var sourceObj= new Object();
	sourceObj.value=RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].value;
	sourceObj.type=RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].type;
	if (RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].lang)
		sourceObj.lang=RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].lang;
	if (RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].datatype)
		sourceObj.datatype=RAJ.tempTripleStore[0][RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][0].datatype;
	var index=RAJ.currentModel.findObjectIndex(RAJ.tempTripleStore[1].subject,RAJ.tempTripleStore[1].predicate,sourceObj);
	console.log(sourceObj.toSource());
	console.log("Index: "+index);
	if (index>(-1)) {
		RAJ.currentModel.jsonObject[RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][index].value=tempObj.value;
		RAJ.currentModel.jsonObject[RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][index].type=tempObj.type;
		if	(tempObj.lang)
			RAJ.currentModel.jsonObject[RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][index].lang=tempObj.lang;
		if	(tempObj.datatype)
			RAJ.currentModel.jsonObject[RAJ.tempTripleStore[1].subject][RAJ.tempTripleStore[1].predicate][index].datatype=tempObj.datatype;
		}
	else	alert("Serious Error, original Object not found! Please contact developer.")
	WIDGET.remove();
	RAJ.CALLBACK_DONE_EDITING();
}
}


WIDGET.sendAll=function() {
var sub=$("#wSubject").attr("value");
var pre=$('#wPredicate').attr('value');
var obj=$('#wObject').attr('value');
RAJ.currentModel.update({"rdfa":"false","olds":RAJ.tempTripleStore[0],"news":{sub:{pre:[{"value":obj}]}}})
WIDGET.remove();
}


WIDGET.edit=function(value) {
// a function that is called on an element when a triple pertains to it
	// with the element being the literal object
	var temp=new Array();
	var trigger=0;
	RDFA.CALLBACK_NEW_TRIPLE_WITH_LITERAL_OBJECT = function(el, triple) {
		if (triple) {
			if (RAJ.tempTripleStore[0][triple.subject.uri])
				if (RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri])
					if (RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri][0].value==triple.object.value)
						{
							//console.log("found");
							for (var a=0;a<(RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri].length);a++) {
							 if (RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri][a].value==RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri][0].value) {RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri][a].value=value}
							}
							//console.log(RAJ.tempTripleStore[0].toSource()+" "+value)
							//console.log($(el));
							if ($(el).attr("content")) $(el).attr("content",value);
							else if ($(el).attr("href")) $(el).attr("href",value);
							else el.innerHTML=value;
						}
		}
	}
	
	// a function that is called on an element when a triple pertains to it
	// with the element being the clickable link for a URI object
	RDFA.CALLBACK_NEW_TRIPLE_WITH_URI_OBJECT = function(el, triple) {
		if (triple) {
			//console.log(triple.subject.uri+"  "+triple.predicate.uri+"  "+triple.object.uri);
			//console.log(triple.object.uri);
			if (RAJ.tempTripleStore[0][triple.subject.uri])
				if (RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri])
					if (RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri][0].value==triple.object.uri)
						{	
							//console.log("found");
							for (var a=0;a<(RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri].length);a++) {
							 if (RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri][a].value==RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri][0].value) {RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri][a].value=value}
							}
							//console.log(RAJ.tempTripleStore[0].toSource()+" "+value)
							//console.log($(el).attr("href"));
							if ($(el).attr("content")) $(el).attr("content",value);
							else if ($(el).attr("href")) $(el).attr("href",value);
							else el.innerHTML=value;
						}
		}
	}

	// a function that is called on an element when a triple pertains to it
	// with the element being the subject of the assertions
	RDFA.CALLBACK_NEW_TRIPLE_WITH_SUBJECT = function(el, triple) {
	    if (triple) {
			console.log("SUBJECT found please recheck RDFA.CALLBACK_NEW_TRIPLE_WITH_SUBJECT");
			//console.log(triple.subject.uri+"  "+triple.predicate.uri+"  "+triple.object.value);
			if (RAJ.tempTripleStore[0][triple.subject.uri])
				if (RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri])
					if (RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri][0].value==triple.object.value)
						{
							//console.log("found");
							for (var a=0;a<(RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri].length);a++) {
							 if (RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri][a].value==RAJ.tempTripleStore[0][triple.subject.uri][triple.predicate.uri][0].value) {RAJ.currentModel.jsonObject[triple.subject.uri][triple.predicate.uri][a].value=value}
							}
							//console.log(RAJ.tempTripleStore[0].toSource()+" "+value)
							//console.log($(el).attr("href"));
							if ($(el).attr("content")) $(el).attr("content",value);
							else if ($(el).attr("href")) $(el).attr("href",value);
							else el.innerHTML=value;
						}
		}
	}
	RDFA.reset();
	RDFA.CALLBACK_DONE_PARSING= function() {RAJ.CALLBACK_DONE_EDITING();RDFA.CALLBACK_DONE_PARSING= function() {};};
	RDFA.parse();
	$(function(){ 
  		WIDGET.removePens();
	});
	
}

WIDGET.addPens=function() {
//console.log("adding Pens!")
var id=1000;
RAJ.tempTripleStore[3]=new Array();
RDFA.CALLBACK_NEW_TRIPLE_WITH_LITERAL_OBJECT = function(el, triple) {
	if (triple) {
		//console.log($(el));
		var jTriple = RAJ.RToJ(triple);
		$(el).after("<a name='editPen' class='editPen' id="+id+"><img src=./images/icon-edit.png></a>");
		$("#"+id).attr("onclick",'WIDGET.create(RAJ.tempTripleStore[3]['+RAJ.tempTripleStore[3].length+'])');
		RAJ.tempTripleStore[3][RAJ.tempTripleStore[3].length]=jTriple;
		id++;
	}

}

// a function that is called on an element when a triple pertains to it
// with the element being the clickable link for a URI object
RDFA.CALLBACK_NEW_TRIPLE_WITH_URI_OBJECT = function(el, triple) {
	if (triple) {
		//console.log($(el));
		var jTriple = RAJ.RToJ(triple);
		$(el).after("<a name='editPen' class='editPen' id="+id+"><img src=./images/icon-edit.png></a>");
		$("#"+id).attr("onclick",'WIDGET.create(RAJ.tempTripleStore[3]['+RAJ.tempTripleStore[3].length+'])');
		RAJ.tempTripleStore[3][RAJ.tempTripleStore[3].length]=jTriple;
		id++;
	}
}

// a function that is called on an element when a triple pertains to it
// with the element being the subject of the assertions
RDFA.CALLBACK_NEW_TRIPLE_WITH_SUBJECT = function(el, triple) {
	if (triple) {
		//console.log($(el));
		var jTriple = RAJ.RToJ(triple);
		$(el).after("<a name='editPen' class='editPen' id="+id+"><img src=./images/icon-edit.png></a>");
		$("#"+id).attr("onclick",'WIDGET.create(RAJ.tempTripleStore[3]['+RAJ.tempTripleStore[3].length+'])');
		RAJ.tempTripleStore[3][RAJ.tempTripleStore[3].length]=jTriple;
		id++;
	}
}


RDFA.reset();
RDFA.parse();
}

WIDGET.removePens=function() {
$("a").filter('.editPen').remove();
}

WIDGET.widgetState=function(marked) {
if (marked=="all") {
	$("#wRadiooo").attr("checked",false);
	$("#wRadioall").attr("checked",true);
	$("#wSendJSON").hide();
	$("#wSendAll").show();
	
}
if (marked=="oo") {
	$("#wRadiooo").attr("checked")==true
	$("#wRadioall").attr("checked",false);
	$("#wSendAll").hide();
	$("#wSendJSON").show();
}


}

function pFindObjectIndex(subject,predicate,object) {
    return pArraySearch(object,this.jsonObject[subject][predicate]);
  }