<?php

/**
  * OntoWiki News Template
  *
  * @author Sebastian Dietzold
  * @version $Id: add_model.php 1426 2007-09-10 10:38:24Z haschek $
  */

require_once 'Zend/Feed.php';

?>
<window>
<h1 class="title">News</h1>
<div class="content">
<?php
// Fetch the latest Slashdot headlines

$version = $this->config->version;
try {
    $owFeed = Zend_Feed::import('http://blog.aksw.org/feed/?cat=5&client='.$version->appname.'&version='.$version->number.'&suffix='.$version->suffix);
} catch (Zend_Feed_Exception $e) {
    // feed import failed
    echo "Exception caught importing feed: {$e->getMessage()}\n";
    exit;
}

// Initialize the channel data array
$channel = array(
    'title'       => $owFeed->title(),
    'link'        => $owFeed->link(),
    'description' => $owFeed->description(),
    'items'       => array()
    );

// Loop over each channel item and store relevant data
foreach ($owFeed as $item) {
    $channel['items'][] = array(
        'title'       => $item->title(),
        'link'        => $item->link(),
        'description' => $item->description()
        );

	echo '<div class="messagebox feed"><h2><a href="'.$item->link().'">'.$item->title().'</a></h2>';
	echo '<p>'.$item->description().'</p></div>';
}

?>
</div>
</window>

