<?php

/**
  * OntoWiki Filemanager Template
  *
  * @author Christoph Rieß
  * @version $Id: filemanager.php 2140 2008-04-11 09:01:43Z fusel2k $
  */

?>

<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('errors')->set($this->errors) ?>
<?php $this->placeholder('messages')->set($this->messages) ?>

<form method="post" action="<?php echo $this -> owUriBase ?>model/filemanager" class="row-input input-justify-left">
	<table class="separated-vertical edittable editable">
	<tr><td><b>Selection</b></td><td><b>Resource URI</b></td><td><b>Mime Type</b></td></tr>
<?php
	if ($this -> filelist) {
		foreach ($this -> filelist as $file) {
			echo '<tr>' . PHP_EOL;
			echo '<td><input name="' .rawurlencode($file['uri']).'" type=checkbox ></td>' . PHP_EOL;
			echo '<td>' . $file['uri'] . '</td>' . PHP_EOL;
			echo '<td>' . $file['mime'] . '</td>' . PHP_EOL;
			echo '</tr>' . PHP_EOL;
		}
	}

?>
	<tr><td></td>
	<td>
	<div>
    	<label for="type-select">Action</label>
    	<?php echo new SelectNew('action', 'delete', array('delete' => 'delete'), array('cssId' => 'type-select')) ?>
    	<br class="clearall" />
    </div>
    </td>
    <td>
   	<div class="actionbuttons">
        <button type="submit">Commit</button>
    </div>
    </td>
    </tr>
    </table>
</form>
<?php
echo '<p><a href="' . $this -> owUriBase. 'resource/file">Upload file as resource</a></p>';
?>