<?php

/**
  * OntoWiki partial template to render the object of a statement
  *
  * @author Norman Heino <norman.heino@gmail.com>
  * @version $Id$
  */

?>
<span property="<?php echo $this->propUri ?>" content="<?php echo $this->uri ? $this->uri : $this->label ?>">
<?php if ($this->type == 'image'): ?>
	<img src="<?php echo $this->uri ? $this->uri : $this->label ?>" alt="contentImage" name="contentImage" />
<?php elseif ($this->type == 'web'): ?>
	<a href="<?php echo $this->uri ? $this->uri : $this->label ?>"><?php echo $this->label ?></a>
<?php elseif ($this->type == 'mail'): ?>
	<a about="<?php echo $this->uri ?>" href="<?php echo $this->label ?>"><?php echo substr($this->label,7) ?></a>
<?php elseif ($this->type == 'resource'): ?>
	<a about="<?php echo $this->uri ?>" <?php echo $this->classes ?> href="<?php echo $this->url ?>"><?php echo $this->label ?></a>
<?php elseif ($this->type == 'htmledit'): ?>
	<?php echo $this->label ?>
<?php else: ?>
	<?php echo $this->escape($this->label) ?>
<?php endif; ?>
</span>

<?php if (false && $this->editingAllowed): ?>
	<a class="inline-edit"><img class="clickicon drop-statement" id="statement-" src="<?php echo $this->themeBase ?>images/icon-delete.png" alt="delete" /></a>
<?php endif; ?>
