<?php

/**
  * OntoWiki Google map template
  *
  * @author Norman Heino
  * @version $Id: map.php 2625 2008-11-13 20:29:36Z fusel2k $
  */

?>
<?php $this->placeholder('tabs')->set($this->tabs) ?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('menu')->set($this->menu) ?>
<?php $this->placeholder('statusLines')->set($this->statusLines) ?>

<?php /**
        * Capture inner windows for outer template
        */ ?>
<?php $this->placeholder('innerWindows')->captureStart('SET') ?>
<?php foreach ($this->innerWindows as $iw): ?>
	<?php echo $this->partial('micro/window.php', $iw) ?>
	<?php echo $this->partial('micro/window.php', $this->ontoWikiBox('filter')) ?>
<?php endforeach; ?>
<?php $this->placeholder('innerWindows')->captureEnd() ?>

<script type="text/javascript" src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=<?php echo $this->apiKey ?>"></script>
<div id="map"></div>
<script type="text/javascript">
//<![CDATA[
function loadGMap2() {
	/* instantiate Google map object */
	var map = new GMap2(document.getElementById("map"));
	ow.map = map;
	map.addControl(new GLargeMapControl());
	map.addControl(new GMapTypeControl());
	map.setCenter(new GLatLng(0, 0), 0);
	var bounds = new GLatLngBounds();
	
	/* if we have markers */
	<?php if (isset($this->markers)): ?>
	var batch = [];

	function createMarker(point, html) {
	var marker = new GMarker(point)
		GEvent.addListener(marker, "click", function() {
			marker.openInfoWindowHtml(html);
		});
		return marker;
	}
	
	/* add them to the map */
	var mrk;
	<?php $cnt = 0; ?>
	<?php foreach ($this->markers as $marker): ?>
	<?php if (++$cnt < 101): ?>
	mrk = new GLatLng(<?php echo $marker['lat'] ?>, <?php echo $marker['lon'] ?>);
	batch.push(createMarker(mrk, <?php echo $marker['html'] ?>));
	bounds.extend(mrk);
	<?php endif; ?>
	<?php endforeach; ?>
	
	/* and use a manager to manage them */
	var mgr = new GMarkerManager(map);
	mgr.addMarkers(batch, 0);
	mgr.refresh();
	var optZoom = map.getBoundsZoomLevel(bounds);
	var zoom = (optZoom < <?php echo $this->zoom ?> ? optZoom : <?php echo $this->zoom ?>);
	map.setCenter(bounds.getCenter(), zoom);
	<?php else: ?>
	var zoom = <?php echo $this->zoom ?>;
	map.setCenter(new GLatLng(<?php echo $this->centerLat ?>, <?php echo $this->centerLon ?>), zoom);
	<?php endif; ?>
}
//]]>
</script>