<?php

/**
  * OntoWiki resource view template
  *
  * @author Michael Haschke
  * @version $Id: view.php 1707 2007-12-07 16:32:19Z haschek $
  */


?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('errors')->set($this->errors) ?>
<form method="post" action="<?php echo $this->owUriBase ?>model/add/?m=<?php echo $this->model ?>" enctype="multipart/form-data" class="row-input input-justify-left">
<fieldset><legend>Add data to model</legend>
    <div>
	    <input type="radio" class="radio" name="form" id="r03" value="upload" /> <label class="checkboxradio" for="r03">Upload From File</label>
        <br class="clearall" />
	    <input type="radio" class="radio" name="form" id="r04" value="paste" /> <label class="checkboxradio" for="r04">Paste Source</label>
        <br class="clearall" />
    </div>

    <?php /* file upload */ ?>
    <fieldset class="form" id="upload"><legend>Upload From File</legend>
        <div>
            <label for="filetype-select">File Type</label>
            <?php echo new SelectNew('filetype', '', $this->filetypes, array('cssId' => 'filetype-select')) ?>
            <br class="clearall" />
        </div>
        <div>
            <label for="file-input">File (max. <?php echo ini_get('upload_max_filesize') ?>B)</label>
            <input type="file" id="file-input" name="source" />
            <br class="clearall" />
        </div>
    </fieldset>

    <?php /* source paste */ ?>
    <fieldset class="form" id="paste"><legend>Paste Source</legend>
        <div>
            <label for="code-input">Source code</label>
            <textarea id="code-input" name="paste"></textarea>
            <br class="clearall">
        </div>
    </fieldset>

    <div class="actionbuttons">
        <button type="submit" onclick="wait(this)">Add data</button>
    </div>
</fieldset>
</form>

<script type="text/javascript">

    var but;
    var waited = 0;
    wait = function(button) {
    	if (typeof button != 'undefined') {
    		but = button;
    		but.form.submit();
    	}
    	$jq(but).text('Please wait. (' + (++waited) + ') ');
    	setTimeout('wait()', 1000);
    	return true;
    }

    toggleSubForm = function() {
    	var selValue = $jq(this).val();
    	var selName = $jq(this).attr('name');
    	// hide all others
    	$jq('fieldset.' + selName + ':not(#' + selValue + ')').hide();
    	// show the one selected
    	$jq('fieldset#' + selValue).fadeIn(effectTime);
    }

    $jq(document).ready(function(){
        $jq('input[@name=form]').click(toggleSubForm);
        $jq('fieldset.form:not(#upload)').hide();
        $jq('input.radio[@value=upload]').attr('checked','checked');
    });

</script>

<?php

?>
