<?php

/**
  * OntoWiki resource view template
  *
  * @author Norman Heino
  * @version $Id: view.php 1707 2007-12-07 16:32:19Z haschek $
  */

// if (!$this->is('ajaxcall')) {
//     include_once(THEMEROOT.'templates/_includes/header.php');
//     echo ow_window_precontent($this->get('model_create'),$this);
// }


?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('errors')->set($this->errors) ?>
<form method="post" action="<?php echo $this->owUriBase ?>model/create/" enctype="multipart/form-data" class="row-input input-justify-left">
<fieldset><legend>Add a model</legend>
    <div>
        <label for="model-input">Model URI</label>
        <input type="text" class="text" id="model-input" name="model" value="<?php echo $m->modelURI ?>" />
        <br class="clearall" />
    </div>

    <div>
    	<input type="radio" class="radio" name="form" id="r01" value="empty" /> <label class="checkboxradio" for="r01">Create an Empty Model</label>
        <br class="clearall" />
       <?php if (ini_get('allow_url_fopen')): ?>
	    <input type="radio" class="radio" name="form" id="r02" value="import" /> <label class="checkboxradio" for="r02">Import From the Web</label>
        <br class="clearall" />
       <?php endif; ?>
	    <input type="radio" class="radio" name="form" id="r03" value="upload" /> <label class="checkboxradio" for="r03">Upload From File</label>
        <br class="clearall" />
	    <input type="radio" class="radio" name="form" id="r04" value="paste" /> <label class="checkboxradio" for="r04">Paste Source</label>
        <br class="clearall" />
    </div>

    <?php /* empty model */ ?>
    <fieldset class="form" id="empty"><legend>Create an Empty Model</legend>
        <div>
            <label for="base-input">Base URI</label>
            <input type="text" class="text" id="base-input" name="baseURI" value="<?php if (!empty($m->baseURI)) echo $m->baseURI; ?>" />
            <br class="clearall" />
        </div>
        <div>
            <label for="type-select">Type</label>
            <?php echo new SelectNew('type', 'OWL', array('RDFS' => 'RDF(S)', 'OWL' => 'OWL'), array('cssId' => 'type-select')) ?>
            <br class="clearall" />
        </div>
    </fieldset>

    <?php /* web import */ ?>
    <?php if (ini_get('allow_url_fopen')): ?>
    <fieldset class="form" id="import"><legend>Import From the Web</legend>
        <div>
            <p class="messagebox info">Enter the URL where the model should be downloaded from. If you leave the field empty the model URI will be used.</p>
            <!-- <input type="checkbox" name="alternativeLocation" id="altLocation" /> <label class="checkboxradio" for"altLocation">Use</label><br class="clearall"/> -->
            <label for="location-input">Location</label>
            <input type="text" class="text" id="location-input" name="location" />
            <br class="clearall"/>
        </div>
    </fieldset>
    <?php endif; ?>

    <?php /* file upload */ ?>
    <fieldset class="form" id="upload"><legend>Upload From File</legend>
        <div>
            <label for="filetype-select">File Type</label>
            <?php echo new SelectNew('filetype', '', $this->filetypes, array('cssId' => 'filetype-select')) ?>
            <br class="clearall" />
        </div>
        <div>
            <label for="file-input">File (max. <?php echo ini_get('upload_max_filesize') ?>B)</label>
            <input type="file" id="file-input" name="source" />
            <br class="clearall" />
        </div>
    </fieldset>

    <?php /* source paste */ ?>
    <fieldset class="form" id="paste"><legend>Paste Source</legend>
        <div>
            <label for="code-input">Source code</label>
            <textarea id="code-input" name="paste"></textarea>
            <br class="clearall">
        </div>
    </fieldset>

    <div class="actionbuttons">
        <button type="submit" onclick="wait(this)">Create Knowledge Base</button>
    </div>
</fieldset>
</form>

<script type="text/javascript">

    var but;
    var waited = 0;

    wait = function(button) {
    	if (typeof button != 'undefined') {
    		but = button;
    		but.form.submit();
    	}
    	$jq(but).text('Please wait. (' + (++waited) + ') ');
    	setTimeout('wait()', 1000);
    	return true;
    }

    toggleSubForm = function() {
    	$jq('.section-mainwindows .messagebox').replaceWith('');
    	var selValue = $jq(this).val();
    	var selName = $jq(this).attr('name');
    	// hide all others
    	$jq('fieldset.' + selName + ':not(#' + selValue + ')').hide();
    	// show the one selected
    	$jq('fieldset#' + selValue).fadeIn(effectTime);
    }

    $jq(document).ready(function(){
        $jq('input[@name=form]').click(toggleSubForm);
        $jq('fieldset.form:not(#<?php echo (ini_get('allow_url_fopen'))?'import':'empty';?>)').hide();
        $jq('input.radio[@value=<?php echo (ini_get('allow_url_fopen'))?'import':'empty';?>]').attr('checked','checked');
    });

</script>

<?php

// if (!$this->is('ajaxcall')) {
//     echo ow_window_postcontent($this->get('model_create'),$this);
//     include_once(THEMEROOT.'templates/_includes/footer.php');
// }

?>
