<?php

/**
 * OntoWiki table template
 *
 * @author Norman Heino
 * @version $Id
 */

?>
<?php $this->placeholder('tabs')->set($this->tabs) ?>
<?php $this->placeholder('title')->set($this->title) ?>
<?php $this->placeholder('menu')->set($this->menu) ?>
<?php $this->placeholder('statusTools')->set($this->statusTools) ?>
<?php $this->placeholder('statusLines')->set($this->statusLines) ?>

<?php if (!empty($this->data)): ?>
<table class="non-editable separated-vertical">

<?php if ($this->head): ?>
<tr>
<th></th>
<?php foreach ($this->head as $key): ?>
<th><?php echo $key ?></th>
<?php endforeach; ?>
</tr>
<?php endif; ?>

<?php $i = 0; ?>
<?php foreach ($this->data as $row): ?>

<?php if ($i % $this->cols == 0): ?>
<tr>
<?php endif; ?>
	
<td class="enumeration"><?php echo ++$i + $this->start ?>.&nbsp;</td>
<?php foreach ($row as $binding): ?>
<td>

<?php if ($binding instanceof RDFSResource): ?>
<a href="<?php echo OntoWiki_Util::getURL($binding) ?>"><?php echo OntoWiki_Util::getTitle($binding) ?></a>
<?php elseif ($binding instanceof RDFSLiteral):
      echo $binding->getLabel(); ?>
<?php // for RAP results
      // TODO: remove when OntoWiki's result renderer is ready ?>
<?php
	elseif ($binding instanceof Resource): 
?>
<a class="expandable resource" about="<?php echo $binding->getLabel() ?>" href="<?php echo OntoWiki_Util::getURL($binding) ?>">
<?php echo $binding->getLabel() ?>
</a>
<?php
	elseif($binding instanceof Literal):
	echo $binding->getLabel();
	else:
	echo $binding;
	endif;
?>
</td>
<?php endforeach; ?>

<?php if ($i % $this->cols == 0): ?>
</tr>
<?php endif; ?>

<?php endforeach; ?>
</table>
<?php else: ?>
<p><?php echo $this->message ?></p>
<?php endif; ?>
