<?php

/**
  * OntoWiki Password Recovery template
  *
  * @author Christoph Rieß
  * @version $Id: recoverpassword.php 2518 2008-08-25 12:32:01Z fusel2k $
  */

?>

<?php $this->placeholder('title')->set($this->strings->auth->login->recoverpassword . ' - ' . ($this->step+1) . '/4') ?>
<?php $this->placeholder('errors')->set($this->errors) ?>
<?php $this->placeholder('messages')->set($this->messages) ?>
<?php $this->placeholder('statusTools')->set($this->statusTools) ?>
<?php $this->placeholder('statusLines')->set($this->statusLines) ?>

<?php if ($this->step == 0 && (!$this->errors || $this->ignoreErrors) ):?>
<form class="row-input input-justify-left" action="<?php echo $this->uriBase . 'wiki/recoverpassword' ?>" method="post"><fieldset>
<input type="hidden" value="1" name="step"/>
<div><label for="username_rc">Username/Email</label> <input type="text" value="" name="username_rc" id="username" class="text"/></div>
<div><label for=""></label><input type="checkbox" name="username_only" value="1"/>
<?php
echo $this->strings->auth->pwrecovery->useronly;
?>
<br class="clearall"/></div>
<div class="actionbuttons"><button type="submit">
<?php
echo $this->strings->auth->login->submit;
?>
</button></div>
</fieldset></form>
<?php endif; ?>
<?php if ($this->step == 1 && (!$this->errors || $this->ignoreErrors) ): ?>
<?php endif; ?>
<?php if ($this->step == 2 && (!$this->errors || $this->ignoreErrors) ): ?>
<form class="row-input input-justify-left" action="<?php echo $this->uriBase . 'wiki/recoverpassword' ?>" method="post"><fieldset>
<input type="hidden" value="3" name="step"/>
<input type="hidden" value="<?php echo $this->hash; ?>" name="hash"/>
<div><label for="password_new_1">new password</label> <input type="password" value="" name="password_new_1" id="password_new_1" class="text"/><br class="clearall"/></div>
<div><label for="password_new_2">new password (repeat)</label> <input type="password" value="" name="password_new_2" id="password_new_2" class="text"/><br class="clearall"/></div>
<div class="actionbuttons"><button type="submit">
<?php
echo $this->strings->auth->login->submit;
?>
</button></div>
</fieldset></form>
<?php endif; ?>
<?php if ($this->errors && !$this->ignoreErrors): ?>
<a href="../wiki/recoverpassword/">
<?php
echo $this->strings->auth->pwrecovery->newtry;
?>
</a>
<?php endif; ?>
